# Uses of Class
org.codehaus.janino.util.signature.SignatureParser.FormalTypeParameter

Packages that use SignatureParser.FormalTypeParameter
Package
Description
org.codehaus.janino.util.signature
Application-independent helper classes.

## Uses of SignatureParser.FormalTypeParameter in org.codehaus.janino.util.signature

Fields in org.codehaus.janino.util.signature with type parameters of type SignatureParser.FormalTypeParameter
Modifier and Type
Field
Description
`final List<SignatureParser.FormalTypeParameter>`
SignatureParser.ClassSignature.`formalTypeParameters`
The class's formal type parameters, e.g.
`final List<SignatureParser.FormalTypeParameter>`
SignatureParser.MethodTypeSignature.`formalTypeParameters`
The formal types of the method, e.g.
Constructor parameters in org.codehaus.janino.util.signature with type arguments of type SignatureParser.FormalTypeParameter
Modifier
Constructor
Description
``
`ClassSignature(List<SignatureParser.FormalTypeParameter> formalTypeParameters, SignatureParser.ClassTypeSignature superclassSignature, List<SignatureParser.ClassTypeSignature> superinterfaceSignatures)`
``
`MethodTypeSignature(List<SignatureParser.FormalTypeParameter> formalTypeParameters, List<SignatureParser.TypeSignature> parameterTypes, SignatureParser.TypeSignature returnType, List<SignatureParser.ThrowsSignature> thrownTypes)`